/// <reference types="react" />
import { BuilderFieldOperator } from '../components/Builder';
export declare const isBoolean: (value: any) => value is boolean;
export declare const isString: (value: any) => value is string;
export declare const isNumber: (value: any) => value is number;
export declare const isUndefined: (value: any) => value is undefined;
export declare const isReactText: (value: any) => value is import("react").ReactText;
export declare const isReactTextArray: (value: any) => value is import("react").ReactText[];
export declare const isOptionList: (value: any) => value is {
    value: string;
    label: string;
}[];
export declare const isOperator: (value: any) => value is BuilderFieldOperator;
