import React from 'react';
import { SelectProps } from './Select';
export interface SelectMultiProps extends Pick<SelectProps, 'onChange' | 'values'> {
    onDelete: (value: React.ReactText) => void;
    selectedValue: React.ReactText[];
    emptyValue?: string;
}
export declare const SelectMulti: React.FC<SelectMultiProps>;
